from launch import LaunchDescription
from launch_ros.actions import Node
from tracetools_launch.action import Trace

def generate_launch_description():
    return LaunchDescription([
        # Start tracing automatically
        Trace(
            session_name='ros2_tracing_session',
            events_ust=[
                'rclcpp:*', 'rcl:*', 'rmw:*', 'ros2:*', 'rclcpp:*callback*', 'rclcpp:*executor*'
            ],
            events_kernel=[
                'sched_switch', 'sched_wakeup'
            ],
        ),
        
        # Your executable as a Node
        Node(
            package='simple_topology',
            executable='simple_topology',
            output='screen',
        ),
    ])
